#include <stdio.h>
#include <stdlib.h>

double suma(double* x)
{
    double s=0;
    int k=0;

    while(x[++k]){
        s+=x[k];
    }

    return s;
}

void prodavaci_sort(double **prodavaci, int n)
{
    int i, j;
    double *tmp;

    /*SORT*/
    for(i=0; i<n-1; i++){
        for(j=i+1; j<n; j++){
            if(suma(prodavaci[i])<suma(prodavaci[j])){
                tmp=prodavaci[i];
                prodavaci[i]=prodavaci[j];
                prodavaci[j]=tmp;
            }
        }
    }

    /*ISPIS*/
    for(i=0; i<n; i++){
        j=0;
        printf("\n%g\t", prodavaci[i][0]);
        while(prodavaci[i][++j])
            printf("%g ", prodavaci[i][j]);
        printf("\n");
    }
}

int main(void)
{
    int n, i, k;
    double **prodavaci;

    printf("Ucitajte broj prodavaca: ");
    scanf("%d", &n);

    prodavaci=(double**)malloc(n*sizeof(double*));
    for(i=0; i<n; i++){
        k=0;
        prodavaci[i]=(double*)malloc(++k*sizeof(double));
        prodavaci[i][0]=i;
        printf("Ucitajte iznose naplacenih racuna prodavaca %d (za kraj ucitajte 0):\n", i);
        do{
            prodavaci[i]=(double*)realloc(prodavaci[i],++k*sizeof(double));
            scanf("%lg", &prodavaci[i][k-1]);
        }while(prodavaci[i][k-1]);
    }

    prodavaci_sort(prodavaci,n);

    for(i=0; i<n; i++)
        free(prodavaci[i]);
    free(prodavaci);

    return 0;
}
